<?xml version='1.0' encoding='UTF-8'?>
<repository xmlns="http://www.osgi.org/xmlns/repository/v1.0.0" name="Liferay Foundation - Liferay Portal Cache - SPI" increment="1">
  <resource>
    <capability namespace="osgi.identity">
      <attribute name="osgi.identity" value="com.liferay.portal.cache.ehcache.spi"/>
      <attribute name="type" value="osgi.bundle"/>
      <attribute name="version" value="1.0.3" type="Version"/>
    </capability>
    <capability namespace="osgi.wiring.bundle">
      <attribute name="bundle-version" value="1.0.3" type="Version"/>
      <attribute name="osgi.wiring.bundle" value="com.liferay.portal.cache.ehcache.spi"/>
    </capability>
    <capability namespace="osgi.wiring.host">
      <attribute name="bundle-version" value="1.0.3" type="Version"/>
      <attribute name="osgi.wiring.host" value="com.liferay.portal.cache.ehcache.spi"/>
    </capability>
    <capability namespace="osgi.wiring.package">
      <directive name="uses" value="com.liferay.portal.kernel.cache,net.sf.ehcache"/>
      <attribute name="version" value="1.0.0" type="Version"/>
      <attribute name="osgi.wiring.package" value="com.liferay.portal.cache.ehcache.spi"/>
    </capability>
    <capability namespace="osgi.wiring.package">
      <directive name="uses" value="com.liferay.portal.kernel.cache,net.sf.ehcache,net.sf.ehcache.event"/>
      <attribute name="version" value="1.0.0" type="Version"/>
      <attribute name="osgi.wiring.package" value="com.liferay.portal.cache.ehcache.spi.event"/>
    </capability>
    <capability namespace="osgi.content">
      <attribute name="size" value="7773" type="Long"/>
      <attribute name="url" value="com.liferay.portal.cache.ehcache.spi-1.0.3.jar"/>
      <attribute name="mime" value="application/vnd.osgi.bundle"/>
      <attribute name="osgi.content" value="73C3F2710A6EE878E281089F4B9C7828A8A3276F81B01697C4200E1CE46A4A61"/>
    </capability>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.cache)(&amp;(version&gt;=1.3.0)(!(version&gt;=2.0.0))))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.cache.ehcache.spi)(&amp;(version&gt;=1.0.0)(!(version&gt;=2.0.0))))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.cache.io)(&amp;(version&gt;=1.0.0)(!(version&gt;=2.0.0))))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.cache)(&amp;(version&gt;=7.2.0)(!(version&gt;=8.0.0))))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=net.sf.ehcache)(&amp;(version&gt;=2.8.0)(!(version&gt;=3.0.0))))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=net.sf.ehcache.event)(&amp;(version&gt;=2.8.0)(!(version&gt;=3.0.0))))"/>
    </requirement>
    <requirement namespace="osgi.ee">
      <directive name="filter" value="(&amp;(osgi.ee=JavaSE)(version=1.8))"/>
    </requirement>
  </resource>
</repository>
